%define name		abiword
%define version		0.9.2
%define release     2mdk

%define ABIPREFIX	%{_datadir}
%define MAKEOPT     UNIX_CAN_BUILD_STATIC=0 ABI_BUILD_VERSION=%{version} ABI_OPT_PSPELL=1 ABI_OPT_OPTIMIZE=1 OPTIMIZER="$RPM_OPT_FLAGS" 
## ABI_OPT_LIBXML2=1
##define MAKEOPT     UNIX_CAN_BUILD_STATIC=0 ABI_BUILD_VERSION=%{version} ABI_OPT_GNOME=1 ABI_OPT_PSPELL=1 ABI_OPT_OPTIMIZE=1 OPTIMIZER="$RPM_OPT_FLAGS" 

Name:		%{name}
Summary:	Lean and fast full-featured word processor
Version:	%{version}
Release:	%{release}
Group:		Office
License:	GPL
URL:		http://www.abisource.com/

Source:     http://prdownloads.sourceforge.net/abiword/%{name}-%{version}.tar.bz2
Source6:	abiword-48.xpm.bz2
Source7:	abiword-32.xpm.bz2
Source8:	abiword-16.xpm.bz2

#CJK fonts
#Source20:	abi-chinese-fonts.tar.bz2
Source21:	fonts.dir.zh-CN
Source22:	fonts.dir.zh-TW
Source23:	fonts.dir.zh-GBK
# for CJK
#Patch10:		abi-0.7.14-cjk.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires: gtk+ >= 1.2.7
Requires: glib >= 1.2.7
Requires: libpspell4
Requires: libpng >= 1.0.5
Requires: libltdl3
BuildRequires: libtool-devel
BuildRequires: freetype-devel
BuildRequires: gdk-pixbuf-devel
BuildRequires: libpspell4-devel
BuildRequires: libunicode-devel
BuildRequires: xpm-devel
# comment out if using libxml2
BuildRequires: libxml-devel
# uncomment if adding libxml2 support
##BuildRequires: libxml2-devel
Prereq: chkfontpath
Obsoletes: abisuite

%description
AbiWord is a cross-platform, Open Source Word Processor developed
by the people at AbiSource, Inc. and by developers from around the world.
(http://www.abisource.com)
It is a lean and fast full-featured word processor. It works on Microsoft
Windows and most Unix Systems. Features include:

   * Basic character formatting (bold, underline, italics, etc.)
   * Paragraph alignment
   * Spell-check
   * Import of Word97 and RTF documents
   * Export to RTF, Text, HTML, and LaTeX formats
   * Interactive rulers and tabs
   * Styles
   * Unlimited undo/redo
   * Multiple column control
   * Widow/orphan control
   * Find/Replace
   * Images 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}/abi

# CJK patch for 0.7.14
#%patch10 -p1 -b .cjk

%build
##./autogen.sh
##./configure --prefix=%{_prefix} --with-pspell --enable-bidi
make %{MAKEOPT} compile canonical prefix=$RPM_BUILD_ROOT%{ABIPREFIX}

#make %{MAKEOPT} prefix=%{_prefix} compile
#make %{MAKEOPT} prefix=%{_prefix} canonical

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make %{MAKEOPT} prefix=$RPM_BUILD_ROOT%{ABIPREFIX} install

# Manual fixes to Abi package

# Fixes Abi start script
perl -p -i -e "s|$RPM_BUILD_ROOT||" $RPM_BUILD_ROOT%{ABIPREFIX}/AbiSuite/bin/AbiWord
perl -p -i -e "s|%{ABIPREFIX}/AbiSuite/bin|%{_bindir}|" $RPM_BUILD_ROOT%{ABIPREFIX}/AbiSuite/bin/AbiWord

# Fixes for symlink in {prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mv -f $RPM_BUILD_ROOT%{ABIPREFIX}/AbiSuite/bin/* $RPM_BUILD_ROOT%{_bindir}
ln $RPM_BUILD_ROOT%{_bindir}/AbiWord $RPM_BUILD_ROOT%{_bindir}/abiword
#ln  $RPM_BUILD_ROOT%{ABIPREFIX}/AbiSuite/bin/AbiWord $RPM_BUILD_ROOT%{_bindir}/abiword
strip $RPM_BUILD_ROOT%{_bindir}/AbiWord_?

# Copies all ispell dictionaries
mkdir -p $RPM_BUILD_ROOT%{ABIPREFIX}/AbiSuite/dictionary/
cp $RPM_BUILD_DIR/%{name}-%{version}/abidistfiles/dictionary/*.hash $RPM_BUILD_ROOT%{ABIPREFIX}/AbiSuite/dictionary/
#Remove duplicate LittleEndian hash
/bin/rm $RPM_BUILD_ROOT%{ABIPREFIX}/AbiSuite/dictionary/Little*

# (fg) Icons
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE6} > $RPM_BUILD_ROOT%{_liconsdir}/abiword.xpm
bzcat %{SOURCE7} > $RPM_BUILD_ROOT%{_iconsdir}/abiword.xpm
bzcat %{SOURCE8} > $RPM_BUILD_ROOT%{_miconsdir}/abiword.xpm

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/abiword" section="Office/Wordprocessors" \
icon="abiword.xpm" needs="x11" title="AbiWord" \
longtitle="RTF and Microsoft Word (up to 97) document editor"
EOF

# (vince) user cann't read the fonts without this
# chmod 644 $RPM_BUILD_ROOT/usr/lib/abiword/fonts/*
#
# Fix for wrong file rights on fonts
chmod 666 $RPM_BUILD_ROOT%{ABIPREFIX}/AbiSuite/fonts/*
chmod 666 $RPM_BUILD_ROOT%{ABIPREFIX}/AbiSuite/icons/*


# CJK fonts.dir
#bzcat %{SOURCE20} | tar xf - -C $RPM_BUILD_ROOT/usr/lib/abiword/fonts
mkdir -p ${RPM_BUILD_ROOT}/%{ABIPREFIX}/AbiSuite/fonts/zh-CN.GB2312
install -c -m 0644 %{SOURCE21} ${RPM_BUILD_ROOT}/%{ABIPREFIX}/AbiSuite/fonts/zh-CN.GB2312/fonts.dir
mkdir -p ${RPM_BUILD_ROOT}/%{ABIPREFIX}/AbiSuite/fonts/zh-TW.Big5
install -c -m 0644 %{SOURCE22} ${RPM_BUILD_ROOT}/%{ABIPREFIX}/AbiSuite/fonts/zh-TW.Big5/fonts.dir
mkdir -p ${RPM_BUILD_ROOT}/%{ABIPREFIX}/AbiSuite/fonts/zh-CN.GBK
install -c -m 0644 %{SOURCE23} ${RPM_BUILD_ROOT}/%{ABIPREFIX}/AbiSuite/fonts/zh-CN.GBK/fonts.dir

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc user/wp/readme.txt BUILD BUILD.TXT BiDiReadme.txt COPYING COPYRIGHT.TXT CREDITS.TXT README.TXT TODO.TXT UnixFonts.txt UnixLocales.txt VERSION.TXT abi2po.pl po2abi.pl
%doc docs/*.abw docs/*.txt docs/*.html docs/status/*.xsl docs/status/*.xml
##/usr/lib/abiword
%{_bindir}/*
%{_menudir}/%{name}
%dir %{ABIPREFIX}/AbiSuite
%{ABIPREFIX}/AbiSuite/AbiWord
##%{ABIPREFIX}/AbiSuite/bin/*
%{ABIPREFIX}/AbiSuite/dictionary
%{ABIPREFIX}/AbiSuite/fonts
%{ABIPREFIX}/AbiSuite/icons
%{ABIPREFIX}/AbiSuite/clipart
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm

%post
%{update_menus}
#/usr/sbin/chkfontpath -q -a %{ABIPREFIX}/AbiSuite/fonts

%postun
%{clean_menus}
#if [ "$1" = "0" ]; then
#        /usr/sbin/chkfontpath -q -r %{ABIPREFIX}/AbiSuite/fonts
#fi

%changelog
* Thu Sep 13 2001 Stefan van der Eijk <stefan@eijk.nu> 0.9.2-2mdk
- BuildRequires: libtool --> libtool-devel

* Thu Aug 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-1mdk
- Release 0.9.2

* Thu Aug  2 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.9.0-2mdk
- fixes fonts.dir for cooker (mdk8.1), works both mdk8.0& cooker

* Wed Aug  1 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.0-1mdk
- changed name back to abiword, new tarball includes everything we need
- changed setup, compilation, paths, and so on.

* Fri Jul 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.0-0.pre20010714.4mdk
- Fix dependency on libpspell

* Sun Jul 15 2001 Stefan van der Eijk <stefan@eijk.nu> 0.9.0-0.pre20010714.3mdk
- BuildRequires: libtool-devel
- Copyright --> License
- Removed BuildRequires:	glib-devel
- Removed BuildRequires:	gtk+-devel
- Removed BuildRequires:	libpng-devel
- Removed BuildRequires:	zlib-devel

* Sun Jul 15 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.9.0-0.pre20010714.2mdk
- add GBK support, fonts/zh_CN.GBK

* Sat Jul 14 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.9.0-0.pre20010714.1mdk
- CVS 20010714 (Sat Jul 14 03:06:05 UTC 2001)
- fixes for fonts.dir.zh-CN and fonts.dir.zh-TW, add fonts.dir.zh-GBK
- fonts.dir for CJK should include four style(normal/Bold/Italic/italic-Bold) for each underline ttf font
- built both on mdk8 and cooker

* Thu Jul 12 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 0.7.15-0.pre20010612.1mdk
- Latest nightly building from http://www.abisource.com/~sam/nightly/latest/

* Thu Jul 12 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.9.0-0.2mdk
- build from CVS Thu Jul 12 08:07:57 UTC 2001

* Sat Jul 08 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.9.0-0.1mdk
- build from CVS 2001-07-08

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.14-9mdk
- BuildRequires: libunicode-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.14-8mdk
- BuildRequires: gdk-pixbuf-devel
- remove BuildRequires: popt-devel (Stefan sux)

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.14-7mdk
- BuildRequires: popt-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.14-6mdk
- BuildRequires: gnome-print-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.14-5mdk
- BuildRequires: gnome-libs-devel

* Wed Jun 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.14-4mdk
- Rebuild against latest gal
- correct menu entry

* Mon Jun 11 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.7.14-3mdk
- quick fixes for CJK fonts
- add fonts.dir for Chinese TTF fonts

* Fri Jun  8 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.14-2mdk
- recompile for libltdl suxxing

* Mon May 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.14-1mdk
- Use official sources
- Recompiled against latest gal

* Mon May 21 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.7.14-0.3mdk
- rebuild with new libpspell

* Fri Apr  6 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.14-0.2mdk
- separated abisuite data directory into 3 entries in the filelist, to add a 
"noreplace" parameter to fonts.dir and fonts.scale (to keep user modifications when upgrading).
(thanks to Ha Duong Minh)

* Thu Apr  5 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.14-0.1mdk
- version from gnome 1.4 extra apps; tagged 0.1 until official release.
- added chkfontpath in post and postun + PreReq
- require on libpng
- more docs

* Mon Apr  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.13-3mdk
- Patch6 : include correct headers in libole code
- Correct libxml dependencies

* Thu Mar 15 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.13-2mdk
- added compilation options (gnome,libxml,pspell)

* Tue Mar 13 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.13-1mdk
- new version

* Thu Jan 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7.11-7mdk
- back to -O3 (for Fcrozat who is doesn't know how to check build flags ;)

* Sat Dec 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7.11-6mdk
- build with -O2 to fix gcc internal error.

* Tue Nov  7 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.11-5mdk
- Rebuild against last libstdc++ and using optimizations
- Patch to build with gcc 2.96
- Use more macros

* Wed Oct  4 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.11-4mdk
- Add ABI_BUILD_VERSION so version numbers work (from Tristan Henderson)

* Tue Oct  3 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.11-3mdk
- patch to avoid a clash between wv.h provided by abiword/wv module and 
  wmfapi.h (which it tries to include when wmf lib is correctly detected) 

* Tue Oct  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.7.11-2mdk
- added build requires on libwmf gtk+-devel glib-devel freetype-devel xpm-devel zlib-devel libpng-devel.

* Mon Sep 18 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.11-1mdk
- new version
- updated menus patch
- added toolbars patch

* Thu Sep  7 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.10-2mdk
- macroszification
- added liconsdir

* Wed Jul 19 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.10-1mdk
- Update to 0.7.10 (from Helix)
- change menu update
- move doc to standard location
- BM

* Sun May 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.9-1mdk
- Fix descriptions (RPM & menu)

* Tue May  2 2000 Vincent Saugey <vince@mandrakesoft.com> 0.7.9-1mdk
- Update to 0.7.9
- Nothing sucks :)

* Sat Apr 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.8-7mdk
- fg sucks - menu entry really really added this time :-)
- fixed sources location

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.8-6mdk
- Real description

* Tue Apr 11 2000 Francis Galiegue <fg@mandrakesoft.com> 0.7.8-5mdk
- Titi sucks - menu entry really added this time
- Titi sucks - %post and %postun were incorrect
- Titi sucks - there were no icons, now there are
- Removed SMP cruft

* Wed Apr 05 2000 Jerome Martin <jerome@mandrakesoft.com> 0.7.8-4mdk
- Fixing distribution tag

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.8-3mdk
- add menu entry

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.8-2mdk
- clean spec: remove last garbages of file lists
- now compliant to the new naming scheme
- fix /usr/share/abisuite/bin/abiword incorectely linked on
  /var/tmp/abisuite-buildroot/usr/share/abisuite/AbiSuite/bin/AbiWord
  This bug is present at least since 0.7.7-3mdk!!

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 0.7.8-1mdk
- 0.7.8
- PPC Support

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7.7-2mdk
- Fix alpha/sparc compilation.

* Thu Jan 13 2000 Saugey Vincent <vince@mandrakesoft.com>
- update to 0.7.7

* Thu Oct 21 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- update to 0.7.6

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker.

* Fri Sep 10 1999 Daouda LO <daouda@mandrakesoft.com>
- Mandrake adaptations
- bzipped the sources
- Make the package relocatable

* Sun Sep 05 1999 Vu Hung Quan <binaire@videotron.ca>
- update to 0.7.5 ; redhat adaptation

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
